// SquidPortrait.h: interface for the SquidPortrait class.
//
//////////////////////////////////////////////////////////////////////

class SquidPortrait : public QFrame  
{
public:
	SquidPortrait( QWidget* parent, QImage* i );
	virtual ~SquidPortrait();

	void drawContents( QPainter* p );
	
	void Zoom( float factor );
	void ShowDiff( QRect r, QPoint pos );

	void mousePressEvent( QMouseEvent* e );

	QImage* image;

	QValueList<QRect> *diffs;
private:
	QWMatrix zoom;

	QPixmap* buf;
};
