// SquidPrefsDialog.h: interface for the SquidPrefsDialog class.
//
//////////////////////////////////////////////////////////////////////

#ifndef SQUIDPREFSDIALOG_H

#include <qdialog.h>
#include <qlabel.h>
#include <qslider.h>

#endif

class SquidMainWindow;

class SquidPrefsDialog : public QDialog 
{
	Q_OBJECT
public:
	SquidPrefsDialog( SquidMainWindow* parent );

public slots:
	void dummy() {};
	void ChooseBGColor();
	void ChooseBlendSize( const QString& );
	void ChooseDiffTol( int );
	void ChooseMinBlock( const QString& );
	void ExportSettings();

private:
	SquidMainWindow* smw;
	QWidget *f1, *f2, *di;
	QFrame* bkswatch;
	QFrame *tol1, *tol2, *tol3, *tol4;

	QRgb bgcol;
	int blendsize;
	int difftol;
	int minblock;
};

